System.register(['src/components/halo/lively-halo-item.js', 'src/client/morphic/component-loader.js'], function (_export, _context) {
  "use strict";

  var HaloItem, componentLoader;
  return {
    setters: [function (_srcComponentsHaloLivelyHaloItemJs) {
      HaloItem = _srcComponentsHaloLivelyHaloItemJs.default;
    }, function (_srcClientMorphicComponentLoaderJs) {
      componentLoader = _srcClientMorphicComponentLoaderJs.default;
    }],
    execute: function () {
      _recorder_._src_components_halo_lively_halo_inspect_item_js = _recorder_._src_components_halo_lively_halo_inspect_item_js || {};
      _recorder_._src_components_halo_lively_halo_inspect_item_js.HaloItem = HaloItem;
      _recorder_._src_components_halo_lively_halo_inspect_item_js.componentLoader = componentLoader;
      class HaloInspectItem extends _recorder_._src_components_halo_lively_halo_inspect_item_js.HaloItem {

        onClick(evt) {
          var inspectTarget = window.that;

          if (evt.shiftKey) {
            lively.openComponentInWindow('lively-object-editor').then(editor => {
              editor.targetElement = inspectTarget;
            });
          } else {
            lively.openInspector(inspectTarget);
          }
          this.hideHalo();
        }
      }

      _export('default', HaloInspectItem);

      _recorder_._src_components_halo_lively_halo_inspect_item_js.HaloInspectItem = HaloInspectItem;
    }
  };
});